Bug 353111 - gconftool-2 segfaults in yelp package script
gconftool-2 segfaults in yelp package script
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 15:38 EDT by Michal Jaegermann
Modified: 2008-06-16 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-10-25 15:38:54 EDT
Description of problem:

The recent update to yelp-2.18.1-6.fc7 runs a scrip which segfaults.
A closer investigation shows that what bombs is the following:

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule /etc/gconf/schemas/yelp.schemas

An output from gconftool-2 --get-default-source is
xml:merged:/etc/gconf/gconf.xml.defaults

After an installation of corresponding "debuginfo" packages one
gets the following:
..............
Installed schema `/schemas/apps/yelp/fixed_font' for locale `hi'
Installed schema `/schemas/apps/yelp/fixed_font' for locale `pt'
[Detaching after fork from child process 12029. (Try `set detach-on-fork off'.)]
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208280880 (LWP 12026)]
0x00000000 in ?? ()
(gdb) where
#0  0x00000000 in ?? ()
#1  0x09415870 in ?? ()
#2  0xffffffff in ?? ()
#3  0x0998ce37 in ?? ()
#4  0x00000001 in ?? ()
#5  0x0469a3c4 in ?? () from /lib/libglib-2.0.so.0
#6  0x0998ce37 in ?? ()
#7  0xbfdf5708 in ?? ()
#8  0x0462b6fc in IA__g_markup_escape_text (
    text=0x998ce38 " �\211\200使デï¿¿ダ\224��\232\204��\220設デï¿¿ï¿¿ダ
\214端デï¿¿ï¿¿ダ\213��\217", length=161009207) at gmarkup.c:1935
Backtrace stopped: frame did not save the PC
(gdb) f 8
#8  0x0462b6fc in IA__g_markup_escape_text (
    text=0x998ce38 " �\211\200使デï¿¿ダ\224��\232\204��\220設デï¿¿ï¿¿ダ
\214端デï¿¿ï¿¿ダ\213��\217", length=161009207) at gmarkup.c:1935
1935              g_string_append_len (str, p, next - p);
(gdb) p str
$1 = (GString *) 0x9415870
(gdb) p *str
$2 = {
  str = 0xa349d40 "�\200��\217��\201��\220\210�\200��\232\216使�\224��\200\205�
\200� �\224\200 格��\217�\214\226 FAT", len = 48, allocated_len = 128}
(gdb)

and no symbols "p" and "next" in current context.

Attempts to run under gdb with 'set detach-on-fork off' print
....
Installed schema `/schemas/apps/yelp/fixed_font' for locale `zh_HK'
Installed schema `/schemas/apps/yelp/fixed_font' for locale `hi'
Installed schema `/schemas/apps/yelp/fixed_font' for locale `pt'

and stop after that in an apparent loop.  Breaking it with Ctrl-C
brings:

Program received signal SIGINT, Interrupt.
[Switching to Thread -1208186672 (LWP 12050)]
0x00110402 in __kernel_vsyscall ()
(gdb) where
#0  0x00110402 in __kernel_vsyscall ()
#1  0x44343dc3 in __read_nocancel () from /lib/libpthread.so.0
#2  0x0465206d in read_ints (fd=6, buf=0xbff64294,
    n_ints_in_buf=<value optimized out>, n_ints_read=0xbff642c4, error=0x0)
    at /usr/include/bits/unistd.h:35
#3  0x046524b2 in fork_exec_with_pipes (intermediate_child=0,
    working_directory=0x0, argv=0x92d9218, envp=0x0, close_descriptors=1,
    search_path=1, stdout_to_null=0, stderr_to_null=0, child_inherits_stdin=0,
    file_and_argv_zero=0, child_setup=0, user_data=0x0, child_pid=0xbff643b0,
    standard_input=0x0, standard_output=0x0, standard_error=0x0, error=0x0)
    at gspawn.c:1233
#4  0x04652e8b in IA__g_spawn_sync (working_directory=0x0, argv=0xbff64294,
    envp=0x0, flags=G_SPAWN_LEAVE_DESCRIPTORS_OPEN, child_setup=0,
    user_data=0x0, standard_output=0x0, standard_error=0x0, exit_status=0x0,
    error=0x0) at gspawn.c:242
#5  0x0465332c in IA__g_spawn_command_line_sync (
    command_line=0x80529e0 "/usr/bin/killall -q -TERM /usr/libexec/gconfd-2",
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0x0)
    at gspawn.c:656
#6  0x0804dffb in do_makefile_install (conf=0x837a320, args=0x8, unload=0)
    at gconftool.c:3783
#7  0x08050831 in main (argc=Cannot access memory at address 0x1
) at gconftool.c:962
(gdb)

which does not look that illuminating.

Version-Release number of selected component (if applicable):
GConf2-2.18.0.1-2.fc7
glib2-2.12.13-1.fc7

How reproducible:
always (on an affected machine)
Comment 1 Bug Zapper 2008-05-14 10:52:22 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:44:16 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.